Subject: Re: linux-next: Tree for Sep 2 (lib/ubsan.c)

From: Shuah Khan <[email-masked]>
Date: Tue, 8 Sep 2020 18:55:44 -0600

On 9/8/20 6:49 PM, Randy Dunlap wrote:
> On 9/8/20 5:46 PM, Stephen Rothwell wrote:
>> Hi Randy,
>>
>> On Tue, 8 Sep 2020 07:38:31 -0700 Randy Dunlap <[email-masked]> wrote:
>>>
>>> On 9/4/20 12:59 AM, Brendan Higgins wrote:
>>>> On Thu, Sep 3, 2020 at 11:12 PM Randy Dunlap <[email-masked]> wrote:
>>>>>
>>>>> On 9/2/20 8:44 AM, Randy Dunlap wrote:
>>>>>> On 9/2/20 1:09 AM, Stephen Rothwell wrote:
>>>>>>> Hi all,
>>>>>>>
>>>>>>> Changes since 20200828:
>>>>>>>   
>>>>>>
>>>>>>
>>>>>> on i386:
>>>>>>
>>>>>> ../lib/ubsan.c: In function ‘ubsan_prologue’:
>>>>>> ../lib/ubsan.c:141:2: error: implicit declaration of function ‘kunit_fail_current_test’; did you mean ‘kunit_init_test’? [-Werror=implicit-function-declaration]
>>>>>>    kunit_fail_current_test();
>>>>>>
>>>>>>
>>>>>> Full randconfig file is attached.
>>>>>>   
>>>>>
>>>>> Hi Brendan,
>>>>>
>>>>> Do you know anything about this build error?
>>>>>
>>>>> I can't find kunit_fail_current_test() anywhere.
>>>>
>>>> Yeah, this got applied for some reason without the prerequisite
>>>> patches. It is from a two patch series, the other being here:
>>>>
>>>> https://lore.kernel.org/linux-kselftest/[email-masked]/
>>>>
>>>> which in turn depends on another patchset which didn't make it into 5.9.
>>>>
>>>> Again, I don't know why this was applied without it's prereqs. Sorry about that.
>>>>    
>>>
>>> Well.  Who is responsible for this small mess?
>>> It is still killing linux-next builds for me (2020-0908).
>>
>> It came in via the kunit-next tree (Shuah cc'd).  I will revert commit
>> abe83f7621ee ("kunit: ubsan integration") today.
> 
> 

Sorry about that. I picked this up for 5.10 since it had the reviewed
by tags from Brendan.

I will drop this from kselftest kunit

thanks,
-- Shuah